Page MenuHomePhabricator

Farsi wikipedia sysop should be able to grant and revoke patrol
Closed, ResolvedPublic

Description

given the recent poll in fawiki, sysop should be able to grant and revoke Patrol access

Event Timeline

Mardetanha raised the priority of this task from to Normal.
Mardetanha updated the task description. (Show Details)
Mardetanha added a subscriber: Mardetanha.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptNov 17 2015, 12:39 PM
Mardetanha added a subscriber: Mardetanha.

Change 254486 had a related patch set uploaded (by Dereckson):
Rights configuration on fa.wikipedia

https://gerrit.wikimedia.org/r/254486

Change 254486 merged by jenkins-bot:
Rights configuration on fa.wikipedia

https://gerrit.wikimedia.org/r/254486

Dereckson closed this task as Resolved.Dec 7 2015, 4:33 PM

Deployed.

By the way, I noticed the botadmin group can grant/revoke privileges like bureaucrats and admins (patroller, rollbacker, image reviewer), etc.

Could you check if this is a wanted behavior and discuss it with the community if not?

Thanks, as far as I know it is not something community wanted, I will ask another crat to check this as well

Ladsgroup updated the task description. (Show Details)Dec 9 2015, 4:10 AM
Ladsgroup set Security to None.

Since the abusefilter user (the user account that blocks user and revokes patrol rights, etc.) is a botadmin. IMO it shouldn't have the right to revoke admin, 'crat rights but it should be able to strip out other rights like patrol, autopatrol, confirmed, uploader, and several other rights.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 3 2016, 3:10 PM